#ifndef IGNORANCE_CALLBACKS_H
#define IGNORANCE_CALLBACKS_H

#include <gtk/gtk.h>

#ifdef HAVE_REGEX_H
#	include <regex.h>
#endif

enum{
		LEVEL_COLUMN,
		RULE_COLUMN,
		NUM_COLUMNS
};


gboolean
on_levelView_row_activated             (GtkTreeSelection *sel,
										gpointer		user_data);

void
on_levelAdd_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_groupAdd_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_levelEdit_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_levelDel_clicked                    (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_sound_browse_clicked                    (GtkButton       *button,
                                        gpointer         user_data);
										
//void
//on_execute_browse_clicked                    (GtkButton       *button,
//                                        gpointer         user_data);
										
void
on_filter_cb_toggled                    (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_ignore_cb_toggled                    (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_message_cb_toggled                    (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_sound_cb_toggled                    (GtkButton       *button,
                                        gpointer         user_data);
										
#ifndef _WIN32
void
on_execute_cb_toggled                    (GtkButton       *button,
                                        gpointer         user_data);
#endif
										
gboolean	load_form_with_levels		(GtkTreeView *tree,GPtrArray	*levels);

#endif
