#include "ignorance_violation.h"

ignorance_violation* ignorance_violation_new(){
		return ignorance_violation_newp(IGNORANCE_FLAG_MESSAGE,"");
}//ignorance_violation_new

ignorance_violation* ignorance_violation_newp(gint newtype, const gchar *newvalue){
	ignorance_violation *iv=(ignorance_violation*)g_malloc(sizeof(ignorance_violation));

	if(iv){
		iv->type=newtype;
		iv->value=g_strdup(newvalue);
	}//if

	return iv;
}//ignorance_violation_newp


void ignorance_violation_free(ignorance_violation *iv){
	if(iv){
		g_free(iv->value);
		g_free(iv);
	}//if
}//ignorance_violation_free


void ignorance_violation_free_g(gpointer iv, gpointer user_data){
	ignorance_violation_free((ignorance_violation*)iv);
}//ignorance_violation_free_g
